capture program drop maxmin
program define maxmin, rclass 
version 8.2
syntax , VARL(str) VARQ(str) [NOgraph]
	
scalar C_`varl'=_b[`varl']
scalar C_`varq'=_b[`varq']
scalar M_`varl'=-(C_`varl')/(2*C_`varq')
local minmax=M_`varl'

display "                                      "
display "**************************************"
display "The maximum/minimum for C_`varl' is at `minmax'"
display "**************************************"

local value=round(M_`varl',.95)
if("`nograph'"=="nograph"){
}
else {
local depvar=e(depvar)
twoway function C_`varl'*x+C_`varq'*x^2, range(`varl') title(Effect of `varl' on `depvar') subtitle(Min/Max at: `value') xtitle(`varl') ytitle(Effect on `depvar')
}
scalar drop C_`varl' C_`varq' 
end	
